Only in blt2.1: blt2.1
diff -cr blt2.1.orig/cf/config.sub blt2.1/cf/config.sub
*** blt2.1.orig/cf/config.sub	Sat Apr 20 13:25:11 1996
--- blt2.1/cf/config.sub	Tue Jul  8 20:33:42 1997
***************
*** 122,128 ****
  	tahoe | i[345]86 | i860 | m68k | m68000 | m88k | ns32k | arm | pyramid \
  		| tron | a29k | 580 | i960 | h8300 | hppa1.0 | hppa1.1 \
  		| alpha | we32k | ns16k | clipper | sparclite | i370 | sh \
! 		| powerpc | sparc64 | 1750a | dsp16xx | mips64 | mipsel \
  		| pdp11 | mips64el | mips64orion | mips64orionel )
  		basic_machine=$basic_machine-unknown
  		;;
--- 122,128 ----
  	tahoe | i[345]86 | i860 | m68k | m68000 | m88k | ns32k | arm | pyramid \
  		| tron | a29k | 580 | i960 | h8300 | hppa1.0 | hppa1.1 \
  		| alpha | we32k | ns16k | clipper | sparclite | i370 | sh \
! 		| powerpc | ppc* | sparc64 | 1750a | dsp16xx | mips64 | mipsel \
  		| pdp11 | mips64el | mips64orion | mips64orionel )
  		basic_machine=$basic_machine-unknown
  		;;
Only in blt2.1/cf: config.sub.orig
diff -cr blt2.1.orig/configure blt2.1/configure
*** blt2.1.orig/configure	Tue Sep 10 00:25:39 1996
--- blt2.1/configure	Tue Jul  8 20:47:16 1997
***************
*** 2615,2620 ****
--- 2615,2629 ----
      SHLIB_LIBS="-ldl"
      ;;
    *-hpux9*)
+     SHLIB_LOADER="ld"
+     SHLIB_CCFLAGS="+z"
+     SHLIB_LDFLAGS="-b -n"
+     SHLIB_SUFFIX=".sl"
+     SHLIB_LIBS="-ldld"
+     SHLIB_EXTRA_FLAGS='-Wl,+b,${LIBDIR}'
+     ;;
+   *-hpux10*)
+     SHLIB_LOADER="ld"
      SHLIB_CCFLAGS="+z"
      SHLIB_LDFLAGS="-b -n"
      SHLIB_SUFFIX=".sl"
Only in blt2.1: configure.orig
diff -cr blt2.1.orig/src/bltBgexec.c blt2.1/src/bltBgexec.c
*** blt2.1.orig/src/bltBgexec.c	Sun Apr 21 13:28:26 1996
--- blt2.1/src/bltBgexec.c	Tue Jul  8 19:50:53 1997
***************
*** 328,333 ****
--- 328,385 ----
  };
  
  
+ 
+ #if (TCL_MAJOR_VERSION == 7) && (TCL_MINOR_VERSION > 5)
+ /* revive Tcl_CreatePipeline from Tcl 7.5 (thanks to Peter Waltenberg) */
+ /* [todo] rewrite this file to use the newer Tcl_OpenCommandChannel()  */
+ int
+ Tcl_CreatePipeline(interp, argc, argv, pidArrayPtr, inPipePtr,
+ 	outPipePtr, errFilePtr)
+     Tcl_Interp *interp;
+     int argc;
+     char **argv;
+     int **pidArrayPtr;
+     int *inPipePtr;
+     int *outPipePtr;
+     int *errFilePtr;
+ {
+     Tcl_File inFile, outFile, errFile;
+     int result;
+ 
+     result = TclCreatePipeline(interp, argc, argv, pidArrayPtr,
+ 	    (inPipePtr ? &inFile : NULL),
+ 	    (outPipePtr ? &outFile : NULL),
+ 	    (errFilePtr ? &errFile : NULL));
+ 
+     if (inPipePtr) {
+ 	if (inFile) {
+ 	    *inPipePtr = (int) Tcl_GetFileInfo(inFile, NULL);
+ 	    Tcl_FreeFile(inFile);
+ 	} else {
+ 	    *inPipePtr = -1;
+ 	}
+     }
+     if (outPipePtr) {
+ 	if (outFile) {
+ 	    *outPipePtr = (int) Tcl_GetFileInfo(outFile, NULL);
+ 	    Tcl_FreeFile(outFile);
+ 	} else {
+ 	    *outPipePtr = -1;
+ 	}
+     }
+     if (errFilePtr) {
+ 	if (errFile) {
+ 	    *errFilePtr = (int) Tcl_GetFileInfo(errFile, NULL);
+ 	    Tcl_FreeFile(errFile);
+ 	} else {
+ 	    *errFilePtr = -1;
+ 	}
+     }
+     return result;
+ }
+ #endif
+ 
+ 
  /*
   *----------------------------------------------------------------------
   *
***************
*** 790,796 ****
      if (bgPtr->outputId != -1) {
  	close(bgPtr->outputId);
  #if (TK_MAJOR_VERSION == 4) && (TK_MINOR_VERSION > 0)
! 	Tk_DeleteFileHandler(bgPtr->outFileId);
  #else 
  	Tk_DeleteFileHandler(bgPtr->outputId);
  #endif
--- 842,848 ----
      if (bgPtr->outputId != -1) {
  	close(bgPtr->outputId);
  #if (TK_MAJOR_VERSION == 4) && (TK_MINOR_VERSION > 0)
! 	Tcl_DeleteFileHandler(bgPtr->outFileId);
  #else 
  	Tk_DeleteFileHandler(bgPtr->outputId);
  #endif
***************
*** 1077,1083 ****
  
      close(bgPtr->outputId);
  #if (TK_MAJOR_VERSION == 4) && (TK_MINOR_VERSION > 0)
!     Tk_DeleteFileHandler(bgPtr->outFileId);
  #else
      Tk_DeleteFileHandler(bgPtr->outputId);
  #endif
--- 1129,1135 ----
  
      close(bgPtr->outputId);
  #if (TK_MAJOR_VERSION == 4) && (TK_MINOR_VERSION > 0)
!     Tcl_DeleteFileHandler(bgPtr->outFileId);
  #else
      Tk_DeleteFileHandler(bgPtr->outputId);
  #endif
***************
*** 1221,1227 ****
  #endif
  #if (TK_MAJOR_VERSION == 4) && (TK_MINOR_VERSION > 0)
  	bgPtr->outFileId = Tcl_GetFile((ClientData)bgPtr->outputId, TCL_UNIX_FD);
! 	Tk_CreateFileHandler(bgPtr->outFileId, TK_READABLE, BackgroundProc,
  	    (ClientData)bgPtr);
  #else
  	Tk_CreateFileHandler(bgPtr->outputId, TK_READABLE, BackgroundProc,
--- 1273,1279 ----
  #endif
  #if (TK_MAJOR_VERSION == 4) && (TK_MINOR_VERSION > 0)
  	bgPtr->outFileId = Tcl_GetFile((ClientData)bgPtr->outputId, TCL_UNIX_FD);
! 	Tcl_CreateFileHandler(bgPtr->outFileId, TK_READABLE, BackgroundProc,
  	    (ClientData)bgPtr);
  #else
  	Tk_CreateFileHandler(bgPtr->outputId, TK_READABLE, BackgroundProc,
Only in blt2.1/src: bltBgexec.c.orig
